Subject: [bug#54396] [PATCH v2] [WIP] gnu: python-notmuch2: Fix build.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 16 Mar 2022 12:28:49 +0100

Am Mittwoch, dem 16.03.2022 um 12:16 +0100 schrieb Tanguy Le Carrour:
> Hi Liliana,
> 
> Did you have something along these lines in mind?
> 
> I wanted to add the `create-notmuch-config` phase after the `enter-
> python-dir`,
> but I don't know how to get the source folder from there. I suppose
> there's a way to get the `../../` of the `cwd`, but I don't (yet)
> know how.
> 
> The generated contains the expected paths:
> 
> ```
> NOTMUCH_VERSION_FILE='/tmp/guix-build-python-notmuch2-0.35.drv-
> 0/notmuch-0.35/version.txt'
> NOTMUCH_INCLUDE_DIR='/tmp/guix-build-python-notmuch2-0.35.drv-
> 0/notmuch-0.35/lib'
> NOTMUCH_LIB_DIR='/tmp/guix-build-python-notmuch2-0.35.drv-0/notmuch-
> 0.35/lib'
> ```
> 
> … but they **always** reference `drv-0`, even if it's not the first
> build!?
> For instance:
> 
> ```
> $ cat /tmp/guix-build-python-notmuch2-0.35.drv-6/notmuch-
> 0.35/bindings/python-
> cffi/_notmuch_config.py                                              
>                                                                      
>    [profile] guix-dev
> NOTMUCH_VERSION_FILE='/tmp/guix-build-python-notmuch2-0.35.drv-
> 0/notmuch-0.35/version.txt'
> NOTMUCH_INCLUDE_DIR='/tmp/guix-build-python-notmuch2-0.35.drv-
> 0/notmuch-0.35/lib'
> NOTMUCH_LIB_DIR='/tmp/guix-build-python-notmuch2-0.35.drv-0/notmuch-
> 0.35/lib'
> ```
> 
> Does it matter?!
Yes, it does matter.  The cwd you reference will no longer exist when
the bindings are installed.  The purpose of generating the file is to
fill it with useful, persisting data, i.e. (dirname (search-input-file
inputs "notmuch.h")) and (dirname (search-input-file inputs
"libnotmuch.so")).  As for the version file, that should probably be
set to an error value such as None or NotImplemented or even unset.  It
does not appear to be currently used and we don't install any such file
for notmuch.

Cheers